Show Order Documents PDF or CSV

Poll the status and get back the order documents

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Poll the status of an order document created via Create Order Document. Use the same Estimate ID from the order document creation response to retrieve the completed documents.

Example Response - Still Generating

{
  "id": "fb4c81ff-806e-4092-926f-3db1159497db",
  "estimateId": 704341,
  "orgId": 130582,
  "state": "pending",
  "pdfLink": null,
  "csvLink": null
}

Example Response - Complete

{
  "id": "fb4c81ff-806e-4092-926f-3db1159497db",
  "estimateId": 704341,
  "orgId": 130582,
  "state": "complete",
  "pdfLink": "https://ehi.hover.to/rails/active_storage/blobs/redirect/.../Material_Order.pdf",
  "csvLink": "https://ehi.hover.to/rails/active_storage/blobs/redirect/.../Material_Order.csv"
}
Path Params
string
required

Estimate ID used at create time, also known as the project_management_production_list_id

string
required

Order document ID from the create response

Response
200
Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here!